<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd
*/
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die(); 

 if(HIDE_FROM_BACKEND_MENU_EVENTS=='false'){

?>

<!-- catalog //-->
          <tr>
            <td>
<?php
	$files_list=array(BOX_EVENT_SEARCH_RESERVATION,FILENAME_SEARCH_RESERVATIONS,
					BOX_EVENT_SEARCH_EVENT,FILENAME_SEARCH_EVENTS,
					BOX_EVENT_INSTRUCTOR_RESERVATION,FILENAME_INSTRUCTOR_RESERVATIONS,
					BOX_EVENT_PENDING_WAITLIST_PAYMENTS,FILENAME_PENDING_WAITLIST_PAYMENTS,
					BOX_EVENT_SURVEYS,FILENAME_EVENTS_SURVEYS,
					BOX_EVENT_BROWSE,FILENAME_EVENTS_BROWSE,
					BOX_EVENT_CHECK_IN,FILENAME_EVENT_CHECKIN);
  $heading = array();
  $contents = array();

if ($login_groups_type==TEXT_CALLSTAFF_ENTRY || $login_groups_type==TEXT_CALLMANAGER_ENTRY)
                    {
					 $heading[] = array('text'  => BOX_HEADING_RESERVATION,
                     'link'  => tep_href_link(FILENAME_EVENTS_BROWSE, 'selected_box=reservation'));
					 } else{
					 
					  $heading[] = array('text'  => BOX_HEADING_RESERVATION,
                     'link'  => tep_href_link(FILENAME_SEARCH_RESERVATIONS, 'selected_box=reservation'));
  
					 }

	$links_list='';
	reset($files_list);
	for($fcnt=0,$fn=count($files_list);$fcnt<$fn-1;$fcnt=$fcnt+2){
		if ($selected_box == 'reservation' || $menu_dhtml == true) {
		    $links_list.=tep_admin_files_boxes($files_list[$fcnt+1],$files_list[$fcnt]);
		}
		if (isset($HTTP_POST_VARS["search_link"]) && $HTTP_POST_VARS["search_link"]!='' && strpos(strtolower($files_list[$fcnt]),strtolower($HTTP_POST_VARS["search_link"]))!==false){
			$search_links_list[]=array('text'=>$files_list[$fcnt],'link'=>$files_list[$fcnt+1] . '?selected_box=reservation');
		}
	}
	if ($links_list!=''){
		$contents[] = array('text'  => $links_list);
	}

  $box = new box;
  echo $box->menuBox($heading, $contents);
  unset($files_list);
?>
            </td>
          </tr>
<!-- catalog_eof //-->
<?php } ?>
